Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class QueryFatalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.sparql.ARQException
                          com.hp.hpl.jena.query.QueryException
                              com.hp.hpl.jena.query.QueryFatalException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ARQLuceneException, QueryBuildException

    public class QueryFatalException

extends QueryException

QueryFatalException is such that the query aborts do to some problem (this might be an internal error or something in the way the query builds or executes).

Author:
  Andy Seaborne
See Also:
  Serialized Form

Constructor Summary
`QueryFatalException()`
`QueryFatalException(java.lang.String msg)`
`QueryFatalException(java.lang.String msg, java.lang.Throwable cause)`
`QueryFatalException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryFatalException

    public QueryFatalException()

### QueryFatalException

    public QueryFatalException(java.lang.Throwable cause)

### QueryFatalException

    public QueryFatalException(java.lang.String msg)

### QueryFatalException

    public QueryFatalException(java.lang.String msg,
                               java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP